パンくずリスト「data-vocabulary.org スキーマのサポートは終了します」エラーを解消する

Pankuzu data vocabulary schema wordpress 05

「data-vocabulary.org スキーマのサポートは終了します」のエラー。

これはテンプレートにあるパンくずリストの構造化データのマークアップ方法が新しくなったので、そちらに変更しなさいというエラーなのですが、WordPressのテンプレートなら更新すれば、ほとんどが対応してくれているのでそのままでもエラーが解消されたりします。

更新が止まっているテンプレートや古いまま使っているテンプレート、Movable Typeのテンプレートなどは自分で変更する必要があります。

 

変更点

Googleサーチコンソールでチェックしたところ、エラーが出ているのは特定のWordPressのみだったので、そちらをチェックすると、Simplicity2というテンプレートを使っていました。

テーマファイルエディターから書き換えます。

パンくずリストの変更

  • breadcrumbs.php
  • breadcrumbs-page.php

この2つのphpファイルを書き換えればいいだけです。

書き換える内容

itemtype=”http://data-vocabulary.org/Breadcrumb” → itemtype=”http://schema.org/ListItem”

itemprop=“title” → itemprop=”itemListElement”

テンプレートによっては他にも変更点がありますが、ひとまずこれでチェックしましょう。

リッチリザルト テストでチェック。
エラーは解消されたようです。

Googleサーチコンソールからパンくずリストの検証を行います。